﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{4F41A9B8-F97B-4363-8C07-831427940540}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Mandiri.Lelang.Attribute</RootNamespace>
    <AssemblyName>Mandiri.Lelang.Attribute</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <SccProjectName>SAK</SccProjectName>
    <SccLocalPath>SAK</SccLocalPath>
    <SccAuxPath>SAK</SccAuxPath>
    <SccProvider>SAK</SccProvider>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Newtonsoft.Json, Version=4.5.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\packages\Newtonsoft.Json.4.5.11\lib\net40\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.Net.Http, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
    <Reference Include="System.Web" />
    <Reference Include="System.Web.Http, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL" />
    <Reference Include="System.Web.Mvc, Version=4.0.0.1, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\Mandiri.Lelang.ExternalLibrary\System.Web.Mvc.dll</HintPath>
    </Reference>
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="ActionFilter\AuthorizeAccess.cs" />
    <Compile Include="ActionFilter\AuthorizeAction.cs" />
    <Compile Include="ActionFilter\ValidateJWTToken.cs" />
    <Compile Include="ActionFilter\PasswordExpiryValidity.cs" />
    <Compile Include="ActionFilter\LogUserActivityDateTime.cs" />
    <Compile Include="ActionFilter\LogPageVisit.cs" />
    <Compile Include="ActionFilter\ValidateSQLInjection.cs" />
    <Compile Include="Enum\AuthorizationType.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Mandiri.Lelang.BusinessFacade\Mandiri.Lelang.BusinessFacade.csproj">
      <Project>{58b07b9a-cf70-4ccd-bbc3-5eff7e2ef1b8}</Project>
      <Name>Mandiri.Lelang.BusinessFacade</Name>
    </ProjectReference>
    <ProjectReference Include="..\Mandiri.Lelang.DataModel\Mandiri.Lelang.DataModel.csproj">
      <Project>{f9a15015-cd72-4707-9f49-ef32c7cef94d}</Project>
      <Name>Mandiri.Lelang.DataModel</Name>
    </ProjectReference>
    <ProjectReference Include="..\Mandiri.Lelang.Helper\Mandiri.Lelang.Helper.csproj">
      <Project>{10e06cf8-4b0c-4750-9153-16dda07189ac}</Project>
      <Name>Mandiri.Lelang.Helper</Name>
    </ProjectReference>
    <ProjectReference Include="..\Mandiri.Lelang.Resources\Mandiri.Lelang.Resources.csproj">
      <Project>{6263db7a-a453-4fb2-93e2-6a7d047cf368}</Project>
      <Name>Mandiri.Lelang.Resources</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="packages.config" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>